Package com.arms.api.report.export_service.enums

## Enum ExportType

- java.lang.Object
- - java.lang.Enum<ExportType>
  - - com.arms.api.report.export_service.enums.ExportType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ExportType>`

      public enum ExportType
      extends java.lang.Enum<ExportType>

  리포트 내보내기 타입을 정의하는 열거형

  지원하는 내보내기 형식:

  - PPT - PowerPoint 프레젠테이션 (.pptx)
  - PDF - PDF 문서 (.pdf)
  Since:
    25.12.01

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PDF` | PDF 형식 MIME 타입: application/pdf
    `PPT` | PowerPoint 형식 MIME 타입: application/vnd.openxmlformats-officedocument.presentationml.presentation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExportType` | `fromString​(java.lang.String type)` | 문자열로부터 ExportType을 찾아 반환
    `static ExportType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ExportType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PPT

          public static final ExportType PPT

      PowerPoint 형식 MIME 타입: application/vnd.openxmlformats-officedocument.presentationml.presentation

    - #### PDF

          public static final ExportType PDF

      PDF 형식 MIME 타입: application/pdf

  - ### Method Detail

    - #### values

          public static ExportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExportType c : ExportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExportType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static ExportType fromString​(java.lang.String type)

      문자열로부터 ExportType을 찾아 반환
      Parameters:
        `type` - 내보내기 타입 문자열 (대소문자 무관)
      Returns:
        해당하는 ExportType
      Throws:
        `java.lang.IllegalArgumentException` - 지원하지 않는 타입인 경우